## kiten 4.8.4

=== CMakeLists.txt ===
#Name the project
project(kiten)

# Check for cmake, same as minimum for KDE 4.0.0
cmake_minimum_required( VERSION 2.4.5 )

# Check for KDE 4
find_package( KDE4 REQUIRED )
include( CheckIncludeFiles )
include( KDE4Defaults )
include_directories( ${KDE4_INCLUDES} )

## Make it easy for radselect and kiten to find libkiten headers
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/lib)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

## Generate config.h
check_include_files(stdint.h HAVE_STDINT_H)
check_include_files(inttypes.h HAVE_INTTYPES_H)
configure_file( config-kiten.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kiten.h )

## Build each subdir
add_subdirectory( app )
add_subdirectory( data/font )
add_subdirectory( data/pics )
add_subdirectory( doc )
add_subdirectory( kanjibrowser )
add_subdirectory( lib )
add_subdirectory( radselect )

## Build kitengen, a small index generator used by the kiten app
set(kitengen_SRCS xjdxgen.c)
kde4_add_executable(kitengen ${kitengen_SRCS})
target_link_libraries(kitengen ${QT_QTCORE_LIBRARY})
install( TARGETS kitengen ${INSTALL_TARGETS_DEFAULT_ARGS} )

## Install our datafiles
install( FILES data/edict data/kanjidic data/radkfile data/vconj data/romkana.cnv DESTINATION ${DATA_INSTALL_DIR}/kiten )

## kiten 4.7.1

=== debian/changelog ===
kiten (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 01:00:31 +0200

kiten (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Fri, 09 Sep 2011 23:41:05 -0400

kiten (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * Update dict licensing (now CC-BY-SA-3.0)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 23 Jul 2011 19:48:53 +0200

kiten (4:4.6.90+repack-0ubuntu1) oneiric; urgency=low

  [ Harald Sitter ]
  * Initial release (moved out of kdeedu)
  * Repack upstream source to include copies of FDL and LGPL
  * Add kubuntu_enable_debianabimanager.diff to use the Debian ABIManager

  [ Felix Geyer ]
  * Bump minimal kde-sc-dev-latest version to 4.6.90.
  * Fix path to the GPL-1 license text.
  * Drop unused lintian override.

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 10 Jul 2011 11:23:47 +0200

=== debian/control ===
Source: kiten
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7)
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten

Package: kiten
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-sazanami-gothic | ttf-sazanami-mincho
Suggests: khelpcenter4
Description: Japanese reference and study aid for KDE
 Kiten is a collection of Japanese reference tools and study aids for KDE,
 including a Japanese/English dictionary, Kanji dictionary, and Kanji quiz.
 .
 This package is part of the KDE education module.

Package: libkiten4
Architecture: any
Section: libs
X-Debian-ABI: 0
Depends: ${shlibs:Depends}, ${misc:Depends}, edict, kanjidic
Replaces: libkiten1
Breaks: libkiten1
Recommends: ttf-kochi-gothic | ttf-kochi-mincho
Description: libraries for the Kiten Japanese reference and study aid
 This package contains shared libraries, language data, and resources used by
 the Kiten Japanese reference and study aid.  Portions of this library,
 such as dictionary and character lookup widgets, may be useful for other
 applications.
 .
 This package is part of the KDE education module.

Package: libkiten-dev
Architecture: any
Section: libdevel
Depends: libkiten4 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.0.82)
Description: development files for the Kiten Japanese reference libraries
 This package contains development files for building software that uses the
 Kiten Japanese reference libraries.
 .
 This package is part of the KDE education module.

## kiten 4.7.2

=== debian/changelog ===
kiten (4:4.7.2-1) experimental; urgency=low

  * Initial release:
    - fixes memory leaks (Closes: #610534)

  [ Hideki Yamane ]
  * kiten: update package dependency to adjust for font package renaming
    and choose suitable Japanese font in these days. (Closes: #642522)
  * libkiten4: remove "Recommends: ttf-kochi-gothic | ttf-kochi-mincho"
    since it is unnecessary dependency.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:45:20 -0300

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: kiten
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.7)
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kiten.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kiten.git
 
 Package: kiten
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-sazanami-gothic | ttf-sazanami-mincho
+Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-vlgothic | fonts-japanese-gothic
 Suggests: khelpcenter4
 Description: Japanese reference and study aid for KDE
  Kiten is a collection of Japanese reference tools and study aids for KDE,
@@ -28,7 +28,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, edict, kanjidic
 Replaces: libkiten1
 Breaks: libkiten1
-Recommends: ttf-kochi-gothic | ttf-kochi-mincho
 Description: libraries for the Kiten Japanese reference and study aid
  This package contains shared libraries, language data, and resources used by
  the Kiten Japanese reference and study aid.  Portions of this library,
@@ -46,3 +45,16 @@
  Kiten Japanese reference libraries.
  .
  This package is part of the KDE education module.
+
+Package: kiten-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: libkiten4 (= ${binary:Version}), ${misc:Depends}, kde-runtime-dbg
+Breaks: kdeedu-dbg (<< 4:4.7.2)
+Replaces: kdeedu-dbg (<< 4:4.7.2)
+Recommends: kiten (= ${binary:Version})
+Description: debugging symbols for Kiten
+ This package contains debugging files used to investigate problems with
+ libraries and binaries of Kiten.
+

## kiten 4.7.4

=== debian/changelog ===
kiten (4:4.7.4-0ubuntu0.1) oneiric-proposed; urgency=low

  * New upstream bugfix release (LP: #913928)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Jan 2012 10:20:02 -0500

kiten (4:4.7.3-0ubuntu0.1) oneiric-proposed; urgency=low

  [ Philip Muškovac ]
  * New  upstream bugfix release (LP: #901975)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 08 Dec 2011 22:27:46 -0500

=== debian/control ===
Source: kiten
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7)
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten

Package: kiten
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-sazanami-gothic | ttf-sazanami-mincho
Suggests: khelpcenter4
Description: Japanese reference and study aid for KDE
 Kiten is a collection of Japanese reference tools and study aids for KDE,
 including a Japanese/English dictionary, Kanji dictionary, and Kanji quiz.
 .
 This package is part of the KDE education module.

Package: libkiten4
Architecture: any
Section: libs
X-Debian-ABI: 0
Depends: ${shlibs:Depends}, ${misc:Depends}, edict, kanjidic
Replaces: libkiten1
Breaks: libkiten1
Recommends: ttf-kochi-gothic | ttf-kochi-mincho
Description: libraries for the Kiten Japanese reference and study aid
 This package contains shared libraries, language data, and resources used by
 the Kiten Japanese reference and study aid.  Portions of this library,
 such as dictionary and character lookup widgets, may be useful for other
 applications.
 .
 This package is part of the KDE education module.

Package: libkiten-dev
Architecture: any
Section: libdevel
Depends: libkiten4 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.0.82)
Description: development files for the Kiten Japanese reference libraries
 This package contains development files for building software that uses the
 Kiten Japanese reference libraries.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

## kiten 4.8.2

=== debian/changelog ===
kiten (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 02 Apr 2012 17:58:59 +0200

kiten (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 20:32:09 +0100

kiten (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:30 +0000

kiten (4:4.7.97-0ubuntu2) precise; urgency=low

  * Depend on fonts-kanjistrokeorders, it is not an alternative to other
    japanese fonts but used for separate reasons

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jan 2012 16:49:58 +0000

kiten (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:28 +0000

kiten (4:4.7.95-0ubuntu1) precise; urgency=low

  [ Philip Muškovac ]
  * New upstream release candidate

  [ Felix Geyer ]
  * Update symbols files.

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 20:28:27 +0100

kiten (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Dec 2011 13:14:44 +0000

kiten (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian Git, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:47:01 +0000

kiten (4:4.7.2-0r0) UNRELEASED; urgency=low

  * Initial release:
    - fixes memory leaks (Closes: #610534)

  [ Hideki Yamane ]
  * kiten: update package dependency to adjust for font package renaming
    and choose suitable Japanese font in these days. (Closes: #642522)
  * libkiten4: remove "Recommends: ttf-kochi-gothic | ttf-kochi-mincho"
    since it is unnecessary dependency.

 -- Pino Toscano <pino@debian.org>  Sun, 23 Oct 2011 18:07:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,21 @@
 Section: kde
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7)
+ kdelibs5-dev (>= 4:4.8.1)
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kiten/ubuntu
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kiten/ubuntu
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kiten.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kiten.git
 
 Package: kiten
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-sazanami-gothic | ttf-sazanami-mincho
+Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-vlgothic | fonts-japanese-gothic, fonts-kanjistrokeorders
 Suggests: khelpcenter4
 Description: Japanese reference and study aid for KDE
  Kiten is a collection of Japanese reference tools and study aids for KDE,
@@ -28,7 +31,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, edict, kanjidic
 Replaces: libkiten1
 Breaks: libkiten1
-Recommends: ttf-kochi-gothic | ttf-kochi-mincho
 Description: libraries for the Kiten Japanese reference and study aid
  This package contains shared libraries, language data, and resources used by
  the Kiten Japanese reference and study aid.  Portions of this library,
@@ -46,3 +48,16 @@
  Kiten Japanese reference libraries.
  .
  This package is part of the KDE education module.
+
+Package: kiten-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: libkiten4 (= ${binary:Version}), ${misc:Depends}, kdebase-runtime-dbg
+Breaks: kdeedu-dbg (<< 4:4.7.2)
+Replaces: kdeedu-dbg (<< 4:4.7.2)
+Recommends: kiten (= ${binary:Version})
+Description: debugging symbols for Kiten
+ This package contains debugging files used to investigate problems with
+ libraries and binaries of Kiten.
+

## kiten 4.8.4

=== debian/changelog ===
kiten (4:4.8.4-1) unstable; urgency=low

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4.8.4.
  * Bump kdelibs5-dev build dependency to 4.8.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Add watch file.
  * Convert copyright to copyright-format v1.0 and update.
  * Refresh patch enable_debianabimanager.diff.
  * Bump libkiten ABI version to 1 due to changed API/ABI.
  * Update installed files.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jun 2012 13:27:14 +0200

kiten (4:4.7.4-2) unstable; urgency=low

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Wed, 07 Mar 2012 14:36:11 +0100

kiten (4:4.7.4-1) experimental; urgency=low

  * New upstream release. 
  
  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:37:29 +0100

=== debian/control ===
Source: kiten
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8)
Standards-Version: 3.9.3
Homepage: http://edu.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kiten.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kiten.git

Package: kiten
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-vlgothic | fonts-japanese-gothic
Suggests: khelpcenter4
Description: Japanese reference and study aid for KDE
 Kiten is a collection of Japanese reference tools and study aids for KDE,
 including a Japanese/English dictionary, Kanji dictionary, and Kanji quiz.
 .
 This package is part of the KDE education module.

Package: libkiten4abi1
Architecture: any
Section: libs
X-Debian-ABI: 1
Depends: ${shlibs:Depends}, ${misc:Depends}, edict, kanjidic
Replaces: libkiten1
Breaks: libkiten1
Description: libraries for the Kiten Japanese reference and study aid
 This package contains shared libraries, language data, and resources used by
 the Kiten Japanese reference and study aid.  Portions of this library,
 such as dictionary and character lookup widgets, may be useful for other
 applications.
 .
 This package is part of the KDE education module.

Package: libkiten-dev
Architecture: any
Section: libdevel
Depends: libkiten4abi1 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.0.82)
Description: development files for the Kiten Japanese reference libraries
 This package contains development files for building software that uses the
 Kiten Japanese reference libraries.
 .
 This package is part of the KDE education module.

Package: kiten-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libkiten4abi1 (= ${binary:Version}), ${misc:Depends}, kde-runtime-dbg
Breaks: kdeedu-dbg (<< 4:4.7.2)
Replaces: kdeedu-dbg (<< 4:4.7.2)
Recommends: kiten (= ${binary:Version})
Description: debugging symbols for Kiten
 This package contains debugging files used to investigate problems with
 libraries and binaries of Kiten.

## kiten 4.9.2

=== debian/changelog ===
kiten (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:28:55 +0100

kiten (4:4.9.1-0ubuntu1) quantal; urgency=low

  [ Harald Sitter ]
  * New upstream release

  [ Philip Muškovac ]
  * Change soname from 4.9.0 to 4.9.* 
  * update kiten.install

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:33:26 +0530

kiten (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:52 +0100

kiten (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * Update files in kiten.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:26:57 +0100

kiten (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:31:08 +0200

kiten (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 14:15:56 +0100

=== debian/control ===
Source: kiten
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: 
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.9.2)
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kiten/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kiten/ubuntu
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kiten.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kiten.git

Package: kiten
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-vlgothic | fonts-japanese-gothic, fonts-kanjistrokeorders
Suggests: khelpcenter4
Description: Japanese reference and study aid for KDE
 Kiten is a collection of Japanese reference tools and study aids for KDE,
 including a Japanese/English dictionary, Kanji dictionary, and Kanji quiz.
 .
 This package is part of the KDE education module.

Package: libkiten4
Architecture: any
Section: libs
X-Debian-ABI: 0
Depends: ${shlibs:Depends}, ${misc:Depends}, edict, kanjidic
Replaces: libkiten1
Breaks: libkiten1
Description: libraries for the Kiten Japanese reference and study aid
 This package contains shared libraries, language data, and resources used by
 the Kiten Japanese reference and study aid.  Portions of this library,
 such as dictionary and character lookup widgets, may be useful for other
 applications.
 .
 This package is part of the KDE education module.

Package: libkiten-dev
Architecture: any
Section: libdevel
Depends: libkiten4 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.9.2)
Description: development files for the Kiten Japanese reference libraries
 This package contains development files for building software that uses the
 Kiten Japanese reference libraries.
 .
 This package is part of the KDE education module.

Package: kiten-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libkiten4 (= ${binary:Version}), ${misc:Depends}, kdebase-runtime-dbg
Breaks: kdeedu-dbg (<< 4:4.7.2)
Replaces: kdeedu-dbg (<< 4:4.7.2)
Recommends: kiten (= ${binary:Version})
Description: debugging symbols for Kiten
 This package contains debugging files used to investigate problems with
 libraries and binaries of Kiten.

## kiten 4.9.3

=== debian/changelog ===
kiten (4:4.9.3-0ubuntu0.1) quantal; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Nov 2012 01:20:12 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2)
+ kdelibs5-dev (>= 4:4.9.3)
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kiten/ubuntu
@@ -42,7 +42,7 @@
 Package: libkiten-dev
 Architecture: any
 Section: libdevel
-Depends: libkiten4 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.9.2)
+Depends: libkiten4 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.9.3)
 Description: development files for the Kiten Japanese reference libraries
  This package contains development files for building software that uses the
  Kiten Japanese reference libraries.

## kiten 4.9.5

=== debian/changelog ===
kiten (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:37:05 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.3)
+ kdelibs5-dev (>= 4:4.9.5)
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kiten/ubuntu
@@ -42,7 +42,7 @@
 Package: libkiten-dev
 Architecture: any
 Section: libdevel
-Depends: libkiten4 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.9.3)
+Depends: libkiten4 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.9.5)
 Description: development files for the Kiten Japanese reference libraries
  This package contains development files for building software that uses the
  Kiten Japanese reference libraries.

## kiten 4.10.0

=== debian/changelog ===
kiten (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:55:57 +0000

kiten (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:41:46 +0000

kiten (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:36:46 +0100

kiten (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:31:55 +0000

kiten (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:56:16 +0000

kiten (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:59:13 +0000

kiten (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:37:19 +0100

kiten (4:4.7.2-0r0) raring; urgency=low

  * Initial release:
    - fixes memory leaks (Closes: #610534)

  [ Hideki Yamane ]
  * kiten: update package dependency to adjust for font package renaming
    and choose suitable Japanese font in these days. (Closes: #642522)
  * libkiten4: remove "Recommends: ttf-kochi-gothic | ttf-kochi-mincho"
    since it is unnecessary dependency.

 -- Pino Toscano <pino@debian.org>  Sun, 23 Oct 2011 18:07:38 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.5)
+ kdelibs5-dev (>= 4:4.10.0)
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kiten/ubuntu
@@ -42,7 +42,7 @@
 Package: libkiten-dev
 Architecture: any
 Section: libdevel
-Depends: libkiten4 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.9.5)
+Depends: libkiten4 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.10.0)
 Description: development files for the Kiten Japanese reference libraries
  This package contains development files for building software that uses the
  Kiten Japanese reference libraries.

## kiten 4.10.2

=== debian/changelog ===
kiten (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:50:19 +0200

kiten (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
  * Fix copyright syntax

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:47:51 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0)
+ kdelibs5-dev (>= 4:4.10.2)
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kiten/ubuntu
@@ -42,7 +42,7 @@
 Package: libkiten-dev
 Architecture: any
 Section: libdevel
-Depends: libkiten4 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.10.0)
+Depends: libkiten4 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.10.2)
 Description: development files for the Kiten Japanese reference libraries
  This package contains development files for building software that uses the
  Kiten Japanese reference libraries.

## kiten 4.10.4

=== debian/changelog ===
kiten (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:33:02 +0200

kiten (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:12:58 +0200

kiten (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:50:19 +0200

kiten (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release
  * Fix copyright syntax

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:47:51 +0000

kiten (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:55:57 +0000

kiten (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:41:46 +0000

kiten (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:36:46 +0100

kiten (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:31:55 +0000

kiten (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:56:16 +0000

kiten (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:59:13 +0000

kiten (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:37:19 +0100

kiten (4:4.7.2-0r0) raring-proposed; urgency=low

  * Initial release:
    - fixes memory leaks (Closes: #610534)

  [ Hideki Yamane ]
  * kiten: update package dependency to adjust for font package renaming
    and choose suitable Japanese font in these days. (Closes: #642522)
  * libkiten4: remove "Recommends: ttf-kochi-gothic | ttf-kochi-mincho"
    since it is unnecessary dependency.

 -- Pino Toscano <pino@debian.org>  Sun, 23 Oct 2011 18:07:38 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2)
+ kdelibs5-dev (>= 4:4.10.4)
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kiten/ubuntu
@@ -42,7 +42,7 @@
 Package: libkiten-dev
 Architecture: any
 Section: libdevel
-Depends: libkiten4 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.10.2)
+Depends: libkiten4 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.10.4)
 Description: development files for the Kiten Japanese reference libraries
  This package contains development files for building software that uses the
  Kiten Japanese reference libraries.

## kiten 4.11.2

=== debian/changelog ===
kiten (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:27:24 +0100

kiten (4:4.11.1-0ubuntu1) saucy; urgency=low

  [ Philip Muškovac ]
  * New upstream bugfix release.

  [ Rohan Garg ]
  * Improve regex so that we don't have to fix the install file every
    bug fix release

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:24:40 +0100

kiten (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:18:26 +0100

kiten (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:37:46 +0100

kiten (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:35 +0000

kiten (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:16:10 +0100

kiten (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Michał Zając ]
  * Update libkiten4abi1.install

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:21:32 +0100

kiten (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:34:36 +0100

kiten (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:42 +0000

kiten (4:4.10.2-1) experimental; urgency=low

  * New upstream release.
  * Update uploaders.
  * Bump build-deps.
  * Update install-files.

 -- Sune Vuorela <sune@debian.org>  Mon, 08 Apr 2013 19:33:05 +0000

=== debian/control ===
Source: kiten
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
 Sune Vuorela <sune@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2)
Standards-Version: 3.9.3
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kiten.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kiten.git

Package: kiten
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-vlgothic | fonts-japanese-gothic
Suggests: khelpcenter4
Description: Japanese reference and study aid for KDE
 Kiten is a collection of Japanese reference tools and study aids for KDE,
 including a Japanese/English dictionary, Kanji dictionary, and Kanji quiz.
 .
 This package is part of the KDE education module.

Package: libkiten4abi1
Architecture: any
Section: libs
X-Debian-ABI: 1
Depends: ${shlibs:Depends}, ${misc:Depends}, edict, kanjidic
Replaces: libkiten1
Breaks: libkiten1
Description: libraries for the Kiten Japanese reference and study aid
 This package contains shared libraries, language data, and resources used by
 the Kiten Japanese reference and study aid.  Portions of this library,
 such as dictionary and character lookup widgets, may be useful for other
 applications.
 .
 This package is part of the KDE education module.

Package: libkiten-dev
Architecture: any
Section: libdevel
Depends: libkiten4abi1 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.11.2)
Description: development files for the Kiten Japanese reference libraries
 This package contains development files for building software that uses the
 Kiten Japanese reference libraries.
 .
 This package is part of the KDE education module.

Package: kiten-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libkiten4abi1 (= ${binary:Version}), ${misc:Depends}, kde-runtime-dbg
Breaks: kdeedu-dbg (<< 4:4.7.2)
Replaces: kdeedu-dbg (<< 4:4.7.2)
Recommends: kiten (= ${binary:Version})
Description: debugging symbols for Kiten
 This package contains debugging files used to investigate problems with
 libraries and binaries of Kiten.

## kiten 4.11.3

=== debian/changelog ===
kiten (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 15:23:48 +0100

kiten (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 16:52:52 +0200

kiten (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:43:05 +0200

kiten (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 14:31:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: kiten
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
- Sune Vuorela <sune@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.10),
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2)
-Standards-Version: 3.9.3
+           Sune Vuorela <sune@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.11),
+ cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
+ kdelibs5-dev (>= 4:4.11)
+Standards-Version: 3.9.4
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kiten.git
-X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kiten.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kiten.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kiten.git
 
 Package: kiten
 Architecture: any
@@ -43,7 +41,7 @@
 Package: libkiten-dev
 Architecture: any
 Section: libdevel
-Depends: libkiten4abi1 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.11.2)
+Depends: libkiten4abi1 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.0.82)
 Description: development files for the Kiten Japanese reference libraries
  This package contains development files for building software that uses the
  Kiten Japanese reference libraries.

## kiten 4.12.3

=== debian/changelog ===
kiten (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:39:35 +0100

kiten (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:49:58 +0100

kiten (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:03:26 +0000

kiten (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:20:01 +0000

kiten (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:10:46 +0000

kiten (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:11:46 +0000

kiten (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:08:45 +0100

kiten (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:42:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: kiten
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
-           Sune Vuorela <sune@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.11),
- cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11)
-Standards-Version: 3.9.4
+ Sune Vuorela <sune@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10),
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
+ kdelibs5-dev (>= 4:4.12.3)
+Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kiten.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kiten.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kiten.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kiten.git
 
 Package: kiten
 Architecture: any
@@ -41,7 +43,7 @@
 Package: libkiten-dev
 Architecture: any
 Section: libdevel
-Depends: libkiten4abi1 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.0.82)
+Depends: libkiten4abi1 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.12.3)
 Description: development files for the Kiten Japanese reference libraries
  This package contains development files for building software that uses the
  Kiten Japanese reference libraries.

## kiten 4.13.0

=== lib/CMakeLists.txt ===
############# kitenlib #################
set(edict_SRCS
		DictEdict/deinflection.cpp
		DictEdict/dictfileedict.cpp
		DictEdict/entryedict.cpp
		DictEdict/indexededictfile.cpp
		DictEdict/linearedictfile.cpp
    DictEdict/dictfilefieldselector.cpp)
set(kanjidic_SRCS
		DictKanjidic/dictfilekanjidic.cpp
		DictKanjidic/entrykanjidic.cpp)
set(dictionary_SRCS ${edict_SRCS} ${kanjidic_SRCS})

set(kiten_LIB_SRCS
		dictionarymanager.cpp
		dictionarypreferencedialog.cpp
		dictquery.cpp
		entry.cpp
		entrylist.cpp
		historyptrlist.cpp
		kromajiedit.cpp
		${dictionary_SRCS})

kde4_add_library(kiten SHARED ${kiten_LIB_SRCS})
target_link_libraries(kiten ${KDE4_KDEUI_LIBS})
set_target_properties(kiten PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
install( TARGETS kiten  ${INSTALL_TARGETS_DEFAULT_ARGS})

############ install headers #############
install( FILES
		dictionarymanager.h
		dictionarypreferencedialog.h
		dictquery.h
		entry.h
		entrylist.h
		historyptrlist.h
		kromajiedit.h
		libkitenexport.h
	  DESTINATION ${INCLUDE_INSTALL_DIR}/libkiten COMPONENT Devel
		)
install(FILES
        DictEdict/dictfileedict.h
        DictEdict/entryedict.h
        DESTINATION ${INCLUDE_INSTALL_DIR}/libkiten/DictEdict COMPONENT Devel)
install(FILES
        DictKanjidic/dictfilekanjidic.h
        DictKanjidic/entrykanjidic.h
        DESTINATION ${INCLUDE_INSTALL_DIR}/libkiten/DictKanjidic COMPONENT Devel)

=== radselect/CMakeLists.txt ===
############### radselect target ###############

set(radselect_bin_SRCS
    buttongrid.cpp
    kanji.cpp
    main.cpp
    radical.cpp
    radicalbutton.cpp
    radicalfile.cpp
    radselect.cpp
    radselectview.cpp
   )
kde4_add_ui_files(radselect_bin_SRCS radical_selector.ui radselectprefdialog.ui)
kde4_add_kcfg_files(radselect_bin_SRCS radselectconfig.kcfgc)

#kde4_add_app_icon(radselect_bin_SRCS "${CMAKE_INSTALL_PREFIX}/share/icons/oxygen/*/apps/kiten.png")
kde4_add_app_icon(radselect_bin_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/pics/hi*-apps-kiten.png")

kde4_add_executable(radselect_bin ${radselect_bin_SRCS})
set_target_properties(radselect_bin PROPERTIES OUTPUT_NAME kitenradselect)
target_link_libraries(radselect_bin ${KDE4_KDEUI_LIBS} kiten)
install( TARGETS radselect_bin ${INSTALL_TARGETS_DEFAULT_ARGS} )

############## install files ####################
install( PROGRAMS kitenradselect.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES radselectui.rc DESTINATION ${DATA_INSTALL_DIR}/kitenradselect )

=== debian/changelog ===
kiten (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:05:18 +0100

kiten (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:28:45 +0200

kiten (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:30:50 +0100

kiten (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:59:42 +0000

kiten (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:51:02 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3)
+ kdelibs5-dev (>= 4:4.13.0)
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten
@@ -43,7 +43,7 @@
 Package: libkiten-dev
 Architecture: any
 Section: libdevel
-Depends: libkiten4abi1 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.12.3)
+Depends: libkiten4abi1 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.13.0)
 Description: development files for the Kiten Japanese reference libraries
  This package contains development files for building software that uses the
  Kiten Japanese reference libraries.

## kiten 4.13.3

=== data/font/CMakeLists.txt ===
INSTALL( FILES KanjiStrokeOrders.ttf DESTINATION ${CMAKE_INSTALL_PREFIX}/share/fonts/kanjistrokeorders )

=== debian/changelog ===
kiten (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:30:19 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0)
+ kdelibs5-dev (>= 4:4.13.3)
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten
@@ -43,7 +43,7 @@
 Package: libkiten-dev
 Architecture: any
 Section: libdevel
-Depends: libkiten4abi1 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.13.0)
+Depends: libkiten4abi1 (= ${binary:Version}), ${misc:Depends}, kdelibs5-dev (>= 4:4.13.3)
 Description: development files for the Kiten Japanese reference libraries
  This package contains development files for building software that uses the
  Kiten Japanese reference libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

.PHONY: override_dh_auto_test

override_dh_makeshlibs:
	$(overridden_command) -V -- -c0

override_dh_shlibdeps:
	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=kiten-dbg
